dotHack Weapons. .hack(dot-hack) is a Japanese franchise. Basically, .hack has a lot of singleplayer games or even anime series, novels, and mangas. .hack is not a too popular franchise but it still has a lot of fans. The author of the mod AzureZhen79815 must be a fan of .hack so he decided to make dotHack Weapons for Minecraft.

dotHack Weapons mod for Minecraft logo

dotHack Weapons adds to Minecraft over 400 new weapons. These weapons include both swords and guns (works as Minecraft bow). dotHack Weapons is also an add-on of Electroblob’s Wizardry, so dotHack also include new wands for Electroblob’s Wizardry.

dotHack Weapons mod for Minecraft (10)dotHack Weapons mod for Minecraft (1) dotHack Weapons mod for Minecraft (2)dotHack Weapons mod for Minecraft (3)

dotHack Weapons just adds new weapons models, although there are over 400 types, all the weapons have no special effects (at least you can look cool when using it :D).

Currently, the mod does not allow players to create those weapons, which mean you will have to use Creative Mode or some other mod to get them.

dotHack Weapons mod for Minecraft (4) dotHack Weapons mod for Minecraft (5) dotHack Weapons mod for Minecraft (6) dotHack Weapons mod for Minecraft (7) dotHack Weapons mod for Minecraft (8) dotHack Weapons mod for Minecraft (9) dotHack Weapons mod for Minecraft (11) dotHack Weapons mod for Minecraft (12)

Requirements:

How to Install dotHack Weapons 1.16.1/1.15.2 for Minecraft

  1. Download Forge Installer, dotHack Weapons.jar file
  2. Right-click Forge Installer, Run as Administrator and press OK to install Forge. (You can skip this step if you’ve installed Minecraft Forge)
  3. Open Start on desktop > Open Run (Or you can use the Windows + R keyboard shortcut)
  4. Type %appdata% into Run and press enter.
  5. Go to folder /.minecraft/mods
  6. Put jar file of the Mod into mods folder and then run Minecraft. Done!

Download link for dotHack Weapons Mod 1.16.1/1.15.2

 Download > for Minecraft 1.16.1

Download > for Minecraft 1.15.2

Download > for Minecraft 1.12.2